package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TWarningThreshold;
import com.chinaitop.depot.intelligent.basicdata.model.TWarningThresholdExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TWarningThresholdMapper {
    int countByExample(TWarningThresholdExample example);

    int deleteByExample(TWarningThresholdExample example);

    int deleteByPrimaryKey(String id);

    int insert(TWarningThreshold record);

    int insertSelective(TWarningThreshold record);

    List<TWarningThreshold> selectByExample(TWarningThresholdExample example);

    TWarningThreshold selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TWarningThreshold record, @Param("example") TWarningThresholdExample example);

    int updateByExample(@Param("record") TWarningThreshold record, @Param("example") TWarningThresholdExample example);

    int updateByPrimaryKeySelective(TWarningThreshold record);

    int updateByPrimaryKey(TWarningThreshold record);

	int updateByMap(Map<String, String> map);
}